#authSynergyAppLogo {
  position: relative;
}

#authSynergyAppLogo::before {
  content: '';
  position: absolute;
  display: block;
  width: 100%;
  border-top: 20px solid #ef2d35;
  left: -400px;
  top: calc(50% - 15px);
  filter: blur(60px) drop-shadow(0px 0px 50px #ef2d35);
}

#synergyLogoImg {
  animation: authlogo 30s infinite linear;
}

@keyframes authlogo {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

#synergy-nav-icon {
  width: 30px;
  height: 24px;
  margin: 10px;
  position: relative;
  cursor: pointer;
  display: inline-block;
}

#synergy-nav-icon span{
  background-color:#FFF;
  position: absolute;
  border-radius: 2px;
  width: 100%;
  height:  4px;
  display: block;
  transition: 0.3s cubic-bezier(.8, .5, .2, 1.4);
}

#synergy-nav-icon span:nth-child(1){
  top: 0px;
  left: 0px;
}

#synergy-nav-icon span:nth-child(2){
  top: 10px;
  left: 0px;
}

#synergy-nav-icon span:nth-child(3){
  bottom: 0px;
  left: 0px;
}

#synergy-nav-icon:not(.open):hover span:nth-child(1){
  top: -2px;
}

#synergy-nav-icon:not(.open):hover span:nth-child(2){
  transition: 0.4s cubic-bezier(.8, .5, .2, 1.4);
}

#synergy-nav-icon:not(.open):hover span:nth-child(3){
  bottom: -2px;
}

#synergy-nav-icon.open {
  transform: rotate(90deg);
}

#synergy-nav-icon.open span:nth-child(1){
  left:3px;
  top: 12px;
  width: 30px;
  transform: rotate(90deg);
  transition-delay: 150ms;
}

#synergy-nav-icon.open span:nth-child(2){
  left:2px;
  top: 20px;
  width: 20px;
  transform: rotate(45deg);
  transition-delay: 50ms;
}

#synergy-nav-icon.open span:nth-child(3){
  left:14px;
  top: 20px;
  width: 20px;
  transform: rotate(-45deg);
  transition-delay: 100ms;
}

#synergyAppNav {
  width: 50px;
  height: 100%;
  min-height: 100vh;
  min-width: 0;
  padding: 0;
  margin: 0;
  background: #485156;
  transition: 0.3s;
}

#synergyAppContent {
  width: calc(100% - 50px);
  height: 100%;
  min-height: 100vh;
  min-width: 0;
  padding: 0;
  margin: 0;
  background: linear-gradient(to right, #8e9eab, #eef2f3);
  overflow: hidden;
  transition: 0.3s;
}

#synergyAppNav.open {
  width: 300px;
  padding: 0 10px;
}

#synergyAppContent.open {
  width: calc(100% - 300px);
}

#panelNavAppsButton {
  width: 100%;
  min-width: 0px;
  margin: 0px;
  padding: 0px;
  flex-direction: column;
}

#panelNavAddButton {
  width: 100%;
  min-width: 0px;
  margin: 0px;
  padding: 0px;
  flex-direction: column;
  padding-bottom: 10px !important;
}

.synergy_nav_item_button {
  width: 100%;
  color: #fff;
  display: flex;
  gap: 10px;
  padding: 12px;
  text-decoration: none;
  font-size: 1.2em;
  user-select: none;
  transition: 0.3s;
}

.synergy_nav_item_button:hover {
  color: #fff;
  text-decoration: none;
}

.synergy_nav_item_button:hover span {
  filter: drop-shadow(0 0 5px rgba(255, 255, 255, 0.5));
}

.synergy_nav_item_text {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

#buttonAppLogin {
  color: #fff !important;
  background: linear-gradient(to top, #F0506E, #f00);
  min-width: 180px;
  min-height: 50px;
  border-radius: 8px;
  font-size: 1em;
  text-transform: uppercase;
  border: none;
  position: relative;
  overflow: hidden;
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.3);
  margin-top: 20px;
  transition: 0.5s;
}

#buttonAppLogin::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
  transform: skewX(45deg) translateX(290px);
  transition: 0.5s;
}

#buttonAppLogin:hover::before {
  transform: skewX(45deg) translateX(-150px);
}

#buttonAppLogin:hover {
  letter-spacing: 1px;
}

#synergyAppNav .synergy_nav_item_text {
  visibility: hidden;
  opacity: 0;
  transition: 0.3s;
}

#synergyAppNav.open .synergy_nav_item_text {
  visibility: visible;
  opacity: 1;
}
